<?php
include_once('inc/auth.php');
include_once("inc/utility_all.php");
include_once("api/rolerule.class.php");
includelangpak("system");

$checkArr[] = $_REQUEST['role_id'];
if(!I($checkArr)) exit(Message('',$_lang["common_param_error"],'failed'));

$action = $_REQUEST['action'];
$currentPage = $_REQUEST['currentPage'] ? $_REQUEST['currentPage'] : 0;
$itemsPerPage = $_REQUEST['itemsPerPage'] ? $_REQUEST['itemsPerPage'] : 10;
$rolerule = new rolerule;

switch($action){
	case 'getList':
		$total = $rolerule->getCount();
		if($currentPage && $currentPage * $itemsPerPage >= $total){
			$currentPage --;
		}
		
		$opt = array('currentPage'=>SecurityFilter($currentPage), 'itemsPerPage'=>SecurityFilter($itemsPerPage));
		$data = $rolerule->getdata($opt);

		$result = array(
			'totalCount'=>$total,
			'list'=>$data
		);
		echo json_encode($result);
		break;
	case 'add':
		$role1 = SecurityFilter($_REQUEST['role_1']);
		$role2 = SecurityFilter($_REQUEST['role_2']);
		$type = SecurityFilter($_REQUEST['type']);
		
		echo $rolerule->createRule($role1, $role2, $type);
		break;
	
	case 'update':
		$role_id = SecurityFilter($_REQUEST['role_id']);
		$opt['role_1'] = SecurityFilter($_REQUEST['role_1']);
		$opt['role_2'] = SecurityFilter($_REQUEST['role_2']);
		$opt['type'] = SecurityFilter($_REQUEST['type']);
		
		echo $rolerule->updateRule($role_id, $opt);
		break;
	
	case 'delete':
		$id = SecurityFilter($_REQUEST['id']);
		
		echo $rolerule->deleteRule($id);
		break;
	
	case 'deleteAll':
		echo $rolerule->cleanRule();
		break;
	
	default:
		break;
}